## org.omg.CORBA
Class TypeCodeHolder

    java.lang.Object
      |
      +--org.omg.CORBA.TypeCodeHolder

All Implemented Interfaces:
  Streamable

public final class TypeCodeHolder
extends java.lang.Object
implements Streamable

Field Summary
`TypeCode` `value`

Constructor Summary
`TypeCodeHolder()`
`TypeCodeHolder(TypeCode initial)`

Method Summary
`void` `_read(InputStream is)`
`TypeCode` `_type()`
`void` `_write(OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public TypeCode value

Constructor Detail

### TypeCodeHolder

    public TypeCodeHolder()

### TypeCodeHolder

    public TypeCodeHolder(TypeCode initial)

Method Detail

### _read

    public void _read(InputStream is)

  Specified by:
    `_read` in interface `Streamable`

### _write

    public void _write(OutputStream os)

  Specified by:
    `_write` in interface `Streamable`

### _type

    public TypeCode _type()

  Specified by:
    `_type` in interface `Streamable`